;Don't worry, automatic memory allocation is coming sooner or later...
;
;I'm assuming the target system has at least 4M of RAM, which is what the
;old 486 I use for testing has.
;

%define IVT		0x00000000	;Realmode int vector tbl (junk?)
%define BIOS_DATA	0x00000400	;Retro don't overwrite this
%define IDT		0x00000600	;Interrupt Descriptor Table
%define GDT		0x00000E00	;General Descriptor Table

%define FD_DMABUF	0x00003000	;Floppy DMA buffer

%define BOOT_LOADER	0x00007C00	;Boot loader

%define ODB_INFO	0x00060000	;Misc. ODB variables

;; Page-mapped memory areas:
%define K_CODE		0xFFE00000	;Kernel code (1M). Also, initial ESP.
%define K_DATA		0xFFF00000	;Kernel data (1M)

;; Page directory/tables
%define PAGE_TBL	0x0009C000

%define UVARS		0x00080000	;User variables for current task are
					;page-mapped here

;; Forth stuff
; Auto-allocate stacks & heap:
; %define	RETURN_STACK	0xFFD10000
; %define	FORTH_STACK	0xFFD20000
%define	RETURN_STACK	0x00210000
%define	FORTH_STACK	0x00220000	;stack grows downward from here,
%define	FORTH_HEAP	FORTH_STACK	;heap grows upward

;; Region for small-block memory allocation (salloc, in dict.inc)
SALLOC_START	equ	0x002F0000
SALLOC_SIZE	equ	0x00010000
